-- Bring back VRayCam with Target (28 June 2016)
-- Written by Morn Erasmus
-- http://mornestudio.com/
-- Script is Experimental so use at OWN RISK

macroScript MorneVRayCam category:"Morn Studio" buttonText:"VRayCam with Target" tooltip:"VRayCam with Target"
(
vrayCreateVRayPhysicalCamera()
camID = amax (for c in objects collect c.inode.handle) 
select (maxOps.getNodeByHandle camID)
$.targeted = off
$.target_distance = 0
$.targeted = on
$.shutter_speed = 50	
$.whiteBalance_preset = 1

if units.systemtype == #meters then
	(
		move $ [0,-2,1.450]
		macros.run "Lights and Cameras" "Camera_SelectTarget"
		move $ [0,0,1.450]
	)
	
if units.systemtype == #centimeters then
	(
		move $ [0,-200,145]
		macros.run "Lights and Cameras" "Camera_SelectTarget"
		move $ [0,0,145]
	)

	if units.systemtype == #millimeters then
	(
		move $ [0,-2000,1450]
		macros.run "Lights and Cameras" "Camera_SelectTarget"
		move $ [0,0,1450]
	)
	
	if units.systemtype == #inches then
	(
		move $ [0,-78.74017,57.0866]
		macros.run "Lights and Cameras" "Camera_SelectTarget"
		move $ [0,0,57.0866]
	)	
	
macros.run "Selection" "SelectCameraFromTarget"
)